#!/bin/bash

#
# Note: This script is idempotent
#

. /etc/inconcert/inconcert.conf
. /etc/inconcert/network.conf


# 1 -------------------------------------------------
# -

launchCassandra_CreateColumnsFamilies() {
	cassandra-cli -h $CASSANDRA_IP -p $CASSANDRA_PORT << CASSANDRA_EOF

use Agent;

create column family Hotfixes with comparator=UTF8Type;

quit;

CASSANDRA_EOF
}

echo "Start migration - Adding ColumnsFamilies..."

launchCassandra_CreateColumnsFamilies| while read line; do
	echo " (lua stdout) $line";
done



echo "bye bye";
